import { BaseChart } from './base.chart';
import { NgZone } from '@angular/core';
export declare class EChartComponent extends BaseChart {
    private _chartContainer;
    private _chart;
    private _echartsOptions;
    private _typeMap;
    constructor(zone: NgZone);
    protected _checkUpdate(resized: boolean): void;
    protected _onDestroy(): void;
    private _recalculateSize();
    private _createChart();
    private _applyOptions();
    private _mapDataItem(item, timeFormat);
    private _definePieShape(series, labels, makeDoughnut);
    private _defineColors(series, pieLike);
    private _formatTooltip(currencyCode, percent, digitInfo, param);
    private _generateLegendOptions(multiSeries, pieLike);
}
